////////////////////////////////////////////////////////////////////
//
//  FGODBCResultSet.h
//  
//
//  Created by Francesco Germinara on Sat Jun 12 2004.
// 
//  Copyright (c) 2004 SofTech di F.Germinara - www.germinara.it. All rights reserved.
//
//  For information please contact me at info@germinara.it 
////////////////////////////////////////////////////////////////////
//  History:
//
//  Description:
//
////////////////////////////////////////////////////////////////////

#import <COCOA/COCOA.H>
#import <Foundation/Foundation.h>
#import "FGODBCRecord.h"
#import <gstregaliapp.h>

@interface FGODBCResultSet : NSObject {

	NSMutableArray *rows; //Rows Data fetch from a SQL query
	FGODBCRecord *table;  //Table
	NSString *strLastQuery;//remember last query
	int nLastNrows;    //remember last number of rows
	
	NSString *strIdentifier;//Identifier
		
	NSTableView *aTableObject;	//Inizializzato alla prima chiamata
	
	gstregaliapp *theApp;
	
}
-(id) init:(gstregaliapp *) mainObject SetIdentifier:(NSString *) identifier tableView:(NSTableView *)aTableViewObject; //Init Object
-(void)FillArray:(FGODBCRecord *)tabella SqlFilter:(NSString *) strFilter ProgressInd:(NSProgressIndicator *) pBar; //Esecute Query
-(NSString *) GetData:(NSString *)colID atRow:(int) row; //Return Single Field data row
-(int)count; //Return numer of rows
-(void)ReQuery:(NSProgressIndicator *) pBar; //Redo initial query
-(void)RemoveAllData;//Free all data contents
-(FGODBCRecord *)GetSingleRow:(int)row; //Get Single Row data
-(void)SetSingleRow:(FGODBCRecord *) rowData atRow:(int)row; //Set Single Row data
-(void)AddRow:(FGODBCRecord *) rowData; //Add row data

@end
